Subject: Re: Re: help on linux-mipsel frame buffer

From: Fuxin Zhang <[email-masked]>
Date: Wed, 18 Jul 2001 19:53:48 +0800

hello,Geert Uytterhoeven！
2001-07-18 09:18:00：
>On Tue, 17 Jul 2001, James Simmons wrote:
>> >   First I try the vga16 frame buffer driver,but i can only get
>> > some black/white strips on the screen.(after made some changes 
>> > to the source,most important one is use pci to find and set the
>> > vbase address). 
>> 
>> It is hardwired into the vga16fb driver the memory region (0xA000). This
>> is very wrong on non intel platforms. So that drivers pretty much doesn't
>> work on anything else.
>
>Does your firmware initialize the VGA card to VGA text mode? Vga16fb requires
>this initialization, which is normally done by the VGA BIOS. An x86
>BIOS-emulator may be your friend.
Cound you give me a link to such a emulator?My firmware doesn't initialize VGA card.That seems the real problem.
Thank you.
>
>> >   Then I try to use vesa driver. This one use some vgabios code 
>> > I commented out the x86 relevant codes and made it compiled,
>> 
>> The VESA framebuffer is also intel specific. It uses the BIOS to setup the
>> video mode. This is done long before the cpu is placed into protect mode.
>
>Similar issue here.
>
>Gr{oetje,eeting}s,
>
>						Geert
>
>--
>Geert Uytterhoeven ------------- Sony Software Development Center Europe (SDCE)
>[email-masked] ------------------- Sint-Stevens-Woluwestraat 55
>Voice +32-2-7248626 Fax +32-2-7262686 ---------------- B-1130 Brussels, Belgium

Regards
            Fuxin Zhang
            [email-masked]